Complete document upload
curl --request POST \
--url https://api.tryarchitect.com/v0/documents/uploads/{file_id}/complete \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"folderId": "<string>",
"metadata": {}
}
'import requests
url = "https://api.tryarchitect.com/v0/documents/uploads/{file_id}/complete"
payload = {
"title": "<string>",
"folderId": "<string>",
"metadata": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', folderId: '<string>', metadata: {}})
};
fetch('https://api.tryarchitect.com/v0/documents/uploads/{file_id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"versionNumber": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"isDeleted": true,
"documentId": "<string>",
"folderId": "<string>",
"title": "<string>",
"originalFileName": "<string>",
"contentType": "<string>",
"fileSizeBytes": 4503599627370495,
"contentHash": "<string>",
"metadata": {},
"sourceType": "upload",
"sourceLinkId": "<string>",
"sourceProviderType": "google_drive",
"providerExternalId": "<string>",
"processingStatus": "pending",
"processingError": "<string>"
}{
"code": "VALIDATION_ERROR",
"detail": "body - name: Name is required; email: Invalid email address",
"details": [
{
"field": "body",
"issues": [
{
"code": "validation_failed",
"message": "name: Name is required",
"path": [
"name"
]
}
]
}
],
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 400,
"title": "Bad Request",
"type": "https://api.tryarchitect.com/errors/validation_error"
}{
"code": "UNAUTHORIZED",
"detail": "Authentication is required",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 401,
"title": "Unauthorized",
"type": "https://api.tryarchitect.com/errors/unauthorized"
}{
"code": "FORBIDDEN",
"detail": "Multi-tenant API keys are not supported",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 403,
"title": "Forbidden",
"type": "https://api.tryarchitect.com/errors/forbidden"
}{
"code": "NOT_FOUND",
"detail": "Audience not found",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 404,
"title": "Not Found",
"type": "https://api.tryarchitect.com/errors/not_found"
}{
"code": "CONFLICT",
"detail": "Default topic titles cannot be updated",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 409,
"title": "Conflict",
"type": "https://api.tryarchitect.com/errors/conflict"
}{
"code": "RATE_LIMITED",
"detail": "Rate limit exceeded",
"details": {
"limit": 100,
"remaining": 0,
"resetTime": 1713225600000,
"retryAfter": 60
},
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 429,
"title": "Too Many Requests",
"type": "https://api.tryarchitect.com/errors/rate_limited"
}{
"code": "INTERNAL",
"detail": "An unexpected error occurred",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 500,
"title": "Internal Server Error",
"type": "https://api.tryarchitect.com/errors/internal"
}{
"code": "SERVICE_UNAVAILABLE",
"detail": "The service is temporarily unavailable",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 503,
"title": "Service Unavailable",
"type": "https://api.tryarchitect.com/errors/service_unavailable"
}Documents
Complete document upload
Create a document from a file previously uploaded via the signed upload URL. Processing (parsing, chunking, embedding) starts asynchronously.
POST
/
v0
/
documents
/
uploads
/
{file_id}
/
complete
Complete document upload
Authorizations
API key authentication for the External Actor Gateway
Path Parameters
The upload file ID returned by requestDocumentUpload
Body
application/json
Response
Document created successfully
Required range:
x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Minimum string length:
1Pattern:
^doc_[a-z0-9]{26}$Minimum string length:
1Pattern:
^folder_[a-z0-9]{26}$Required range:
0 <= x <= 9007199254740991Free-form JSON metadata attached to the document
Show child attributes
Show child attributes
Available options:
upload, source_link Minimum string length:
1Pattern:
^srclink_[a-z0-9]{26}$Available options:
google_drive, notion, dropbox, confluence Available options:
pending, parsing, chunking, embedding, extracting_kg, ready, failed Was this page helpful?

